﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Write("Bereit.");
        }

        private async void btnStart_Click(object sender,
                EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            Write("Click-Ereignishandler ist gestartet.");

            WebClient wc = new WebClient();
            string result = await wc.DownloadStringTaskAsync(
                new Uri("http://gyorgybalassy.wordpress.com"));

            if(result.Length < 100000)
            {
                Write("Das Ergebnis ist zu klein.");
                Write("Der Download startet von der zweiten URL.");
                result = await wc.DownloadStringTaskAsync(
                new Uri("https://www.facebook.com/balassy"));
            }
            
            Write("Download abgeschlossen. " +
                "Heruntergeladene Bytes: " +
                result.Length.ToString());

            Write("Click-Ereignishandler ist beendet.");
            this.Cursor = Cursors.Default;
        }

        private void OnDownloadCompleted(object sender,
            DownloadStringCompletedEventArgs e)
        {
            Write("Download ist abgeschlossen. " +
                "Heruntergeladene Bytes: " +
                e.Result.Length.ToString());
        }

        private void Write(string message)
        {
            this.txtStatus.Text += message + "\r\n";
        }

    }
}
