﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;

namespace Kap07_05
{
    public class Player : INotifyPropertyChanged
    {
        private string playerName;

        public string PlayerName
        {
            get { return playerName; }
            set
            {
                playerName = value;
                RaisePropertyChanged("PlayerName");
            }
        }

        private string photoUrl;

        public string PhotoUrl
        {
            get { return photoUrl; }
            set
            {
                photoUrl = value;
                RaisePropertyChanged("PhotoUrl");
            }
        }

        private string biography;

        public string Biography
        {
            get { return biography; }
            set
            {
                biography = value;
                RaisePropertyChanged("Biography");
            }
        }

        protected void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
