﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;

namespace Kap07_05
{
    public class PlayerDataSource
    {
        public PlayerDataSource()
        {
            LoadPlayers();
        }

        private ObservableCollection<Player> players;

        public ObservableCollection<Player> Players
        {
            get { return players; }
            set { players = value; }
        }

        private void LoadPlayers()
        {
            players = new ObservableCollection<Player>
        {
            new Player
            {
                PlayerName = "Beispiel-Spieler 1",
                PhotoUrl = "/Assets/Player1Photo.jpg",
                Biography = "Beispielbiografie von Spieler 1"
            },
            new Player
            {
                PlayerName = "Beispiel-Spieler 2",
                PhotoUrl = "/Assets/Player2Photo.jpg",
                Biography = "Beispielbiografie von Spieler 2"
            }
        };
        }
    }
}
