﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Shapes;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace AnimationLibraryDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            for (int i = 0; i < 20; i++)
            {
                var rectangle = new Rectangle();
                rectangle.Width = 100;
                rectangle.Height = 100;
                rectangle.Fill = new SolidColorBrush(Colors.Red);
                rectangle.Margin = new Thickness(8);
                itemsContainer.Children.Add(rectangle);
            }
        }

        private void btnAdd_Click_1(object sender, RoutedEventArgs e)
        {
            itemsContainer.Children.Add(new Rectangle
            {
                Width = 100,
                Height = 100,
                Fill = new SolidColorBrush(Colors.Red),
                Margin = new Thickness(8)
            });
        }

        private void btnRemove_Click_1(object sender, RoutedEventArgs e)
        {
            itemsContainer.Children.RemoveAt(1);
        }


    }
}
