﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace DiveLog
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            NavigationModeLabel.Text = e.NavigationMode.ToString();
            SourcePageLabel.Text = e.SourcePageType.Name;
            ParameterLabel.Text = (e.Parameter ?? "<none>").ToString();
            UriLabel.Text = e.Uri == null ? "<none>" : e.Uri.ToString();
        }

        private void GoBack(object sender, RoutedEventArgs e)
        {
            if (this.Frame != null && this.Frame.CanGoBack) this.Frame.GoBack();
        }

        private void StartButtonClick(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(Step1), Frame.BackStackDepth);
        }

        private void NewEntryButtonTapped(object sender, TappedRoutedEventArgs e)
        {
        }

        private void LocationButtonTapped(object sender, TappedRoutedEventArgs e)
        {
        }

        private void DepthButtonTapped(object sender, TappedRoutedEventArgs e)
        {
        }

        private void CompletedButtonTapped(object sender, TappedRoutedEventArgs e)
        {
        }

        private void LocationButton_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
