﻿#pragma once

#include "pch.h"
#include "MainPage.g.h"
#include "MatrixOperation.h"
#include <collection.h>

namespace CppDemo
{
	// The main page of this demo application
	public ref class MainPage sealed
	{
	public:
		MainPage();

	private:
		void ResetFeatures();
		Platform::Collections::Vector<int>^ CreateRandomVector();

		// --- Event handlers
		void ScenarioList_SelectionChanged(Platform::Object ^sender, Windows::UI::Xaml::Controls::SelectionChangedEventArgs ^e);
		void ReverseStringButton_Tapped(Platform::Object^ sender, Windows::UI::Xaml::Input::TappedRoutedEventArgs^ e);
		void SumAVectorButton_Tapped(Platform::Object^ sender, Windows::UI::Xaml::Input::TappedRoutedEventArgs^ e);
		void CalculateSerialButton_Tapped(Platform::Object^ sender, Windows::UI::Xaml::Input::TappedRoutedEventArgs^ e);
		void CalculateWithAMPButton_Tapped(Platform::Object^ sender, Windows::UI::Xaml::Input::TappedRoutedEventArgs^ e);
		void WriteFileButton_Tapped(Platform::Object^ sender, Windows::UI::Xaml::Input::TappedRoutedEventArgs^ e);
	};
}
