#include "stdafx.h"
#include "rectangle.h"
#include <iostream>

using namespace std;

double rectangle::getHeight()
{
	return m_height;
}

rectangle::rectangle(double width, double height)
{
	m_width = width;
	m_height = height;
}

double rectangle::getWidth()
{
	return m_width;
}

void rectangle::draw()
{
	cout << "Rectangle: width=" << m_width << " height=" << m_height << endl;
}

bool rectangle::operator==(rectangle& otherRect)
{
	return m_width == otherRect.m_width && m_height == otherRect.m_height;
}
