﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CS5Async
{
	using System.Net;

	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void btnSync_Click( object sender, EventArgs e )
		{
			this.txtStatus.Text = String.Empty;
			this.DownloadSync( @"http://gyorgybalassy.wordpress.com" );
		}

		private void btnAsync_Click( object sender, EventArgs e )
		{
			this.txtStatus.Text = String.Empty;
			this.DownloadAsync( @"http://gyorgybalassy.wordpress.com" );
		}


		private void DownloadSync( string url )
		{
			WebClient wc = new WebClient();
			string result = wc.DownloadString( url );
			this.txtStatus.Text = result;			
		}


		private async void DownloadAsync( string url )
		{
			WebClient wc = new WebClient();
			string result = await wc.DownloadStringTaskAsync(url);
			this.txtStatus.Text = result;					
		}

	}
}
