﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Write("Bereit.");
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            Write("Click-Ereignishandler ist gestartet.");

            // TODO: Hier folgt die eigentliche Arbeit...
            DoWork();

            Write("Click-Ereignishandler ist beendet.");
            this.Cursor = Cursors.Default;
        }

        private void DoWork()
        {
            Write("DoWork ist gestartet.");

            WebClient wc = new WebClient();
            wc.DownloadStringCompleted += OnDownloadCompleted;
            wc.DownloadStringAsync(
                new Uri("http://gyorgybalassy.wordpress.com"));

            Write("DoWork ist beendet.");
        }

        private void OnDownloadCompleted(object sender,
            DownloadStringCompletedEventArgs e)
        {
            Write("Download ist abgeschlossen. " +
                "Heruntergeladene Bytes: " +
                e.Result.Length.ToString());
        }

        private void Write(string message)
        {
            this.txtStatus.Text += message + "\r\n";
        }

    }
}
