﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Shapes;

// Die Elementvorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=234238 dokumentiert.

namespace Kap08_01
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet werden kann oder auf die innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Wird aufgerufen, wenn diese Seite in einem Rahmen angezeigt werden soll.
        /// </summary>
        /// <param name="e">Ereignisdaten, die beschreiben, wie diese Seite erreicht wurde. Die
        /// Parametereigenschaft wird normalerweise zum Konfigurieren der Seite verwendet.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            for (int i = 0; i < 20; i++)
            {
                var rectangle = new Rectangle();
                rectangle.Width = 100;
                rectangle.Height = 100;
                rectangle.Fill = new SolidColorBrush(Colors.Red);
                rectangle.Margin = new Thickness(8);
                itemsContainer.Children.Add(rectangle);
            }
        }

        private void btnAdd_Click_1(object sender, RoutedEventArgs e)
        {
            itemsContainer.Children.Add(new Rectangle
            {
                Width = 100,
                Height = 100,
                Fill = new SolidColorBrush(Colors.Red),
                Margin = new Thickness(8)
            });
        }

        private void btnRemove_Click_1(object sender, RoutedEventArgs e)
        {
            itemsContainer.Children.RemoveAt(1);
        }


    }

}
