﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using ContractsSample.Extenders;

namespace ContractsSample
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            ((App)Application.Current).Page = this;

            //Creating dummy data, and adding it to the ListBox
            notes = new List<NoteItem> {
                new NoteItem { Title = "Erinnerung", TakenAt = DateTime.Now.AddHours(-4), Text = "Hört nicht auf zu arbeiten. Spiele können warten." },
                new NoteItem { Title = "Wichtig!", TakenAt = DateTime.Now.AddHours(-8), Text = "Vergiss nicht zu essen." },
                new NoteItem { Title = "Äußerst wichtig!", TakenAt = DateTime.Now.AddHours(-7), Text = "Vergiss nicht, die Katze zu füttern." },
                new NoteItem { Title = "Neuer James-Bond-Film", TakenAt = DateTime.Now.AddHours(-8), Text = "Karten im Vorverkauf besorgen." },
                new NoteItem { Title = "Tief durchatmen", TakenAt = DateTime.Now.AddDays(-2), Text = "... sonst wirst du ohnmächtig." }
            };
            foreach (var n in notes) lbxNotes.Items.Add(n);
        }
    }
}
