// LegacyCpp.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "rectangle.h"
#include <iostream>
#include <memory>
#include <vector>
#include <cliext/algorithm>

using namespace std;
using namespace cliext;

int _tmain(int argc, _TCHAR* argv[])
{
	// --- Create a vector of 10 rectangles
	vector<rectangle *> shapes;
	for (int i = 1; i <= 10; i++)
	{
		shapes.push_back(new rectangle(i * 100, i * 200));
	}

	// --- This is the rectangle we are looking for
	rectangle* searchFor = new rectangle(300, 600);

	// --- Iterate through all rectanges
	for (vector<rectangle*>::iterator i = shapes.begin(); i != shapes.end(); i++)
	{
		(*i)->draw();
		if (*i && **i == *searchFor)
		{
			std::cout << "*** Rectangle found." << std::endl;
		}
	}

	// --- Dispose resources held by this program
	for (vector<rectangle*>::iterator i = shapes.begin(); i != shapes.end(); i++)
	{
		delete *i;
	}
	delete searchFor;
	return 0;
}

