﻿using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;

using System.Text;
using PrimeNumbers;

namespace CSharpHybrid
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void DisplayPrimesButton_Tapped(object sender, TappedRoutedEventArgs e)
        {
            // --- Insert code here to display prime numbers
            var builder = new StringBuilder(
                    "Primzahlen zwischen 1 und 5000:\n");
            var primes = new Prime().GetPrimes(5000);
            bool appendComma = false;
            foreach (var prime in primes)
            {
                if (appendComma) builder.Append(", ");
                builder.Append(prime);
                appendComma = true;
            }
            OutputText.Text = builder.ToString();
        }
    }
}
